Add new pci-id's for CML-S, ICL

Bug #1845317 reported by Timo Aaltonen on 2019-09-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libdrm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen

Bug Description

[Impact]
Comet Lake (CML) is basically same gen9 GPU as Sky Lake (SKL) (as is KBL, CFL, WHL). There are new CML-S desktop cpu's on the way, and they add three new pci-id's that need to be added across the stack in order to use the GPU properly.

There's also one ICL pci-id which was added recently (not in 5.3).

[Test case]
The proper way to test is to have an actual machine and boot it up with the updated stack, but since these are just pci-id's with no regression potential on older hw, it should be fine to just accept them.

[Regression potential]
None, just adds new pci-id's to allow the new GPUs to load the proper drivers.

Timo Aaltonen (tjaalton) on 2019-09-25
summary: - Add new pci-id's for CML-S
+ Add new pci-id's for CML-S, ICL
description: updated
Timo Aaltonen (tjaalton) on 2019-09-25
Changed in linux (Ubuntu Bionic):
status: New → Won't Fix

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1845317

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Timo Aaltonen (tjaalton) on 2019-09-25
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.99-1ubuntu1

---------------
libdrm (2.4.99-1ubuntu1) eoan; urgency=medium

  * intel-sync-pciids.diff: Sync pci-ids with the kernel. (LP: #1845317)

 -- Timo Aaltonen <email address hidden> Wed, 25 Sep 2019 15:21:09 +0300

Changed in libdrm (Ubuntu):
status: New → Fix Released
Seth Forshee (sforshee) on 2019-09-27
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Timo Aaltonen (tjaalton) on 2019-10-01
Changed in mesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)

Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/19.0.8-0ubuntu0~18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Timo Aaltonen (tjaalton) on 2019-10-03
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 19.2.0-1ubuntu2

---------------
mesa (19.2.0-1ubuntu2) eoan; urgency=medium

  * i965-sync-pciids.diff: Add missing pci-id's, fix descriptions. (LP:
    #1845317)

 -- Timo Aaltonen <email address hidden> Wed, 02 Oct 2019 10:36:55 +0300

Changed in mesa (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) wrote :

the mesa part does what it says

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (7.6 KiB)

This bug was fixed in the package linux - 5.3.0-17.18

---------------
linux (5.3.0-17.18) eoan; urgency=medium

  * eoan/linux: 5.3.0-17.18 -proposed tracker (LP: #1846641)

  * CVE-2019-17056
    - nfc: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17055
    - mISDN: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17054
    - appletalk: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17053
    - ieee802154: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17052
    - ax25: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-15098
    - ath6kl: fix a NULL-ptr-deref bug in ath6kl_usb_alloc_urb_from_pipe()

  * xHCI on AMD Stoney Ridge cannot detect USB 2.0 or 1.1 devices.
    (LP: #1846470)
    - x86/PCI: Avoid AMD FCH XHCI USB PME# from D0 defect

  * Re-enable linux-libc-dev build on i386 (LP: #1846508)
    - [Packaging] Build only linux-libc-dev for i386
    - [Debian] final-checks -- ignore archtictures with no binaries

  * arm64: loop on boot after installing linux-generic-hwe-18.04-edge/bionic-
    proposed (LP: #1845820)
    - [Config] Disable CONFIG_ARM_SMMU_DISABLE_BYPASS_BY_DEFAULT

  * Revert ESE DASD discard support (LP: #1846219)
    - SAUCE: Revert "s390/dasd: Add discard support for ESE volumes"

  * Miscellaneous Ubuntu changes
    - update dkms package versions

linux (5.3.0-16.17) eoan; urgency=medium

  * eoan/linux: 5.3.0-16.17 -proposed tracker (LP: #1846204)

  * zfs fails to build on s390x with debug symbols enabled (LP: #1846143)
    - SAUCE: s390: Mark atomic const ops always inline

linux (5.3.0-15.16) eoan; urgency=medium

  * eoan/linux: 5.3.0-15.16 -proposed tracker (LP: #1845987)

  * Drop i386 build for 19.10 (LP: #1845714)
    - [Packaging] Remove x32 arch references from control files
    - [Debian] final-checks -- Get arch list from debian/control

  * ZFS kernel modules lack debug symbols (LP: #1840704)
    - [Debian] Fix conditional for setting zfs debug package path

  * Use pyhon3-sphinx instead of python-sphinx for building html docs
    (LP: #1845808)
    - [Packaging] Update sphinx build dependencies to python3 packages

  * Kernel panic with 19.10 beta image (LP: #1845454)
    - efi/tpm: Don't access event->count when it isn't mapped.
    - efi/tpm: don't traverse an event log with no events
    - efi/tpm: only set efi_tpm_final_log_size after successful event log parsing

linux (5.3.0-14.15) eoan; urgency=medium

  * eoan/linux: 5.3.0-14.15 -proposed tracker (LP: #1845728)

  * Drop i386 build for 19.10 (LP: #1845714)
    - [Debian] Remove support for producing i386 kernels
    - [Debian] Don't use CROSS_COMPILE for i386 configs

  * udevadm trigger will fail when trying to add /sys/devices/vio/
    (LP: #1845572)
    - SAUCE: powerpc/vio: drop bus_type from parent device

  * Trying to online dasd drive results in invalid input/output from the kernel
    on z/VM (LP: #1845323)
    - SAUCE: s390/dasd: Fix error handling during online processing

  * intel-lpss driver conflicts with write-combining MTRR region (LP: #1845584)
    - SAUCE: mfd: intel-lpss: add quirk for Dell XPS 13 7390 2-in-1

  * Support Hi1620 zip hw accelerator (LP: #1845355)
    - [Config] Enable HiSilicon QM/ZIP as module...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mesa has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 19.0.8-0ubuntu0~18.04.3

---------------
mesa (19.0.8-0ubuntu0~18.04.3) bionic; urgency=medium

  * i965-sync-pciids.diff: Add missing pci-id's, fix descriptions. (LP:
    #1845317)

 -- Timo Aaltonen <email address hidden> Thu, 26 Sep 2019 07:58:03 +0300

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (26.0 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1025.28

---------------
linux-oem-osp1 (5.0.0-1025.28) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1025.28 -proposed tracker
    (LP: #1846095)

  * Fix non-working Realtek USB ethernet after system resume (LP: #1847063)
    - r8152: remove extra action copying ethernet address
    - r8152: Refresh MAC address during USBDEVFS_RESET
    - r8152: Set macpassthru in reset_resume callback

  * drm/i915: Fix the issue of "azx_get_response timeout" for hdmi audio on ICL
    platforms (LP: #1847192)
    - SAUCE: drm/i915: Fix audio power up sequence for gen10+ display
    - SAUCE: drm/i915: extend audio CDCLK>=2*BCLK constraint to more platforms

  * [CML-U] Comet lake platform need ISH driver support (LP: #1843775)
    - HID: intel-ish-hid: Add Comet Lake PCI device ID

  * [CML] New device IDs for CML-U (LP: #1843774)
    - spi-nor: intel-spi: Add support for Intel Comet Lake SPI serial flash

  * Add new pci-id's for CML-S, ICL (LP: #1845317)
    - drm/i915/icl: Add missing device ID
    - drm/i915/cml: Add Missing PCI IDs

  * Thunderbolt support for ICL (LP: #1844680)
    - thunderbolt: Drop duplicated get_switch_at_route()
    - thunderbolt: Move LC specific functionality into a separate file
    - thunderbolt: Cache adapter specific capability offset into struct port
    - thunderbolt: Rename tunnel_pci to tunnel
    - thunderbolt: Generalize tunnel creation functionality
    - thunderbolt: Add functions for allocating and releasing HopIDs
    - thunderbolt: Assign remote for both ports in case of dual link
    - thunderbolt: Add helper function to iterate from one port to another
    - thunderbolt: Extend tunnel creation to more than 2 adjacent switches
    - thunderbolt: Correct path indices for PCIe tunnel
    - thunderbolt: Move NVM upgrade support flag to struct icm
    - thunderbolt: Use 32-bit writes when writing ring producer/consumer
    - thunderbolt: Do not fail adding switch if some port is not implemented
    - thunderbolt: Hide switch attributes that are not set
    - thunderbolt: Expose active parts of NVM even if upgrade is not supported
    - thunderbolt: Add support for Intel Ice Lake
    - ACPI / property: Add two new Thunderbolt property GUIDs to the list

  * Intel 1650s/Wi-Fi 6 AX201 cannot connect to 802.11AX networks (LP: #1845138)
    - cfg80211: add and use strongly typed element iteration macros
    - mac80211: use element iteration macro in parsing
    - cfg80211: add various struct element finding helpers
    - nl80211: use for_each_element() in validate_ie_attr()
    - mac80211: pass bssids to elements parsing function
    - mac80211: move the bss update from elements to an helper
    - cfg80211: Parsing of Multiple BSSID information in scanning
    - cfg80211: use for_each_element() for multi-bssid parsing
    - cfg80211: Properly track transmitting and non-transmitting BSS
    - cfg80211: Move Multiple BSS info to struct cfg80211_bss to be visible
    - cfg80211: parse multi-bssid only if HW supports it
    - cfg80211: make BSSID generation function inline
    - cfg80211: save multi-bssid properties
    - mac80211: support multi-bssid
    - ...

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux-oem-osp1 (Ubuntu):
status: New → Fix Released

All autopkgtests for the newly accepted linux-gcp-5.3 (5.3.0-1008.9~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

linux-gcp-5.3/unknown (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-gcp-5.3

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Hello Timo, or anyone else affected,

Accepted libdrm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.99-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libdrm (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done verification-done-bionic
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers